<?php
// Version: 1.1 RC3; Calendar

// The main calendar - January, for example.
function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

    // divide calendar into two coulmns ...
	echo '
		<form action="', $scripturl, '?action=calendar" method="post">
			<div style="padding: 3px;">', theme_linktree(), '</div>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td width="70%">';

	echo '
			<table cellspacing="1" cellpadding="1" width="100%" class="bordercolor">
				<tr>
				  <td width="100%" height="30" colspan="2" align="center" class="catbg">' . $txt['months'][$context['current_month']] . ' ' . $context['current_year'] . '</td>
				</tr>';

	/* Each week in weeks contains the following:
		days (a list of days), number (week # in the year.) */
	foreach ($context['weeks'] as $week)
	{
	echo '
				<tr>
				  <td width="100%" colspan="2" class="titlebg">' , $txt['calendar51'], ' ', $week['number'], '</td>
				</tr>';
		/* Every day has the following:
			day (# in month), is_today (is this day *today*?), is_first_day (first day of the week?),
			holidays, events, birthdays. (last three are lists.) 
			temp variables for days. */
			$tempDAY = 0;
		if($context['user']['is_logged'] && !empty($options['calendar_start_day']))
		{
		  if($options['calendar_start_day'] == 1)
			 $tempDAY = 1;
		}

		foreach ($week['days'] as $day)
		{

			// If this is today, make it a different color and show a border.
			echo '
				<tr>
				  <td width="20%" valign="top" class="', $day['is_today'] ? 'windowbg2' : 'windowbg', '">
					' . $txt['days'][$tempDAY] . ' ';
	// incerment days.
	$tempDAY = $tempDAY + 1;
	if ($tempDAY >= 7)
	   $tempDAY = 0;

			// Skip it if it should be blank - it's not a day if it has no number.
			if (!empty($day['day']))
			{
				// Should the day number be a link?
				if (!empty($modSettings['cal_daysaslink']) && $context['can_post'])
						echo '
						<br /><a href="', $scripturl,'?action=post;calendar;month=', $context['current_month'], ';year=', $context['current_year'], ';day=', $day['day'], '">', $day['day'], '</a>';
					else
						echo '
						<br /><b>', $day['day'], '</b>';
			}

			echo '
				  </td>
				  <td width="80%" valign="top" class="', $day['is_today'] ? 'windowbg' : 'windowbg2', '"><span class="smalltext">';

				// Are there any holidays?
				if (!empty($day['holidays']))
					echo '
						<span style="color: #', $modSettings['cal_holidaycolor'], ';">', $txt['calendar5'], ' ', implode(', ', $day['holidays']), '</span><br />';

				// Show any birthdays...
				if (!empty($day['birthdays']))
				{
					echo '
						<span style="color: #', $modSettings['cal_bdaycolor'], ';">', $txt['calendar3'], '</span>';

					/* Each of the birthdays has:
						id, name (person), age (if they have one set?), and is_last. (last in list?) */
					foreach ($day['birthdays'] as $member)
						echo '
						<a href="', $scripturl, '?action=profile;u=', $member['id'], '">', $member['name'], isset($member['age']) ? ' (' . $member['age'] . ')' : '', '</a>', $member['is_last'] ? '' : ' , ';
				}

				// Any special posted events?
				if (!empty($day['events']))
				{
					echo '
						<br />
						<span style="color: #', $modSettings['cal_eventcolor'], ';">', $txt['calendar4'], '</span>';

					/* The events are made up of:
						title, href, is_last, can_edit (are they allowed to?), and modify_href. */
					foreach ($day['events'] as $event)
					{
						// If they can edit the event, show a star they can click on....
						if ($event['can_edit'])
							echo '
							<a href="', $event['modify_href'], '" style="color: #FF0000;">*</a> ';

						echo '
							<a href="', $event['href'], '">', $event['title'], '</a>', $event['is_last'] ? '' : ', ';
					}
				}
				echo '</span>&nbsp;';

			echo '
				  </td>
				</tr>';
		}

	}

	echo '
			</table>';

    // divide calendar into two coulmns ...
	echo '
	</td>
    <td width="2%"></td>
    <td width="28%" valign="top">';

	// Small month display ...................  .......................
	echo '
			<table cellspacing="1" cellpadding="1" width="100%" class="bordercolor">
				<tr>
                <td width="100%" colspan="7" class="titlebg"><span style="font-size: xx-small;">' . $txt['months'][$context['current_month']] . ' ' . $context['current_year'] . '</span></td>
				</tr>
				<tr>';
	foreach ($context['week_days'] as $day)
		echo '
					<td class="windowbg" width="14%" align="center"><span style="font-size: xx-small;">' . $txt['days_short'][$day] . '</span></td>';
	echo '
				</tr>';
	foreach ($context['weeks'] as $week)
	{
		echo '
				<tr>';
		foreach ($week['days'] as $day)
		{
			echo '
					<td valign="top" class="', $day['is_today'] ? 'windowbg2' : 'windowbg', '">';

			if (!empty($day['day']))
			{
				// Should the day number be a link?
				if (!empty($modSettings['cal_daysaslink']) && $context['can_post'])
						echo '
						<a href="', $scripturl,'?action=post;calendar;month=', $context['current_month'], ';year=', $context['current_year'], ';day=', $day['day'], '">', $day['day'], '</a>';
					else
						echo '
						', $day['day'], '';
			}

			echo '
				  		&nbsp;
					</td>';
		}

		echo '
				</tr>';
	}
	echo '
			</table>';
	// Small month display ...................  .......................

	echo '
<table cellspacing="1" cellpadding="4" width="100%" class="bordercolor" style="margin-top: 2px;">
  <tr>
    <td width="100%" class="windowbg2">
					<table cellspacing="0" cellpadding="0" width="100%">
					 <tr>
					   <td>';
	// Is there a calendar for last month to look at?
	if (isset($context['previous_calendar']))
		echo '
						<a href="', $context['previous_calendar']['href'], '">&#171; ', $txt['months_short'][$context['previous_calendar']['month']], ' ', $context['previous_calendar']['year'], '</a>';
	echo '
					   </td>
					   <td align="',!$context['right_to_left'] ? 'right':'left','">';
	// Is there a calendar for next month?
	if (isset($context['next_calendar']))
		echo '
						<a href="', $context['next_calendar']['href'], '">' . $txt['months_short'][$context['next_calendar']['month']] . ' ' . $context['next_calendar']['year'] . ' &#187;&#160;</a>';
	echo '
					   </td>
					 </tr>
					</table>
    </td>
  </tr>
</table>';

    // divide calendar into two coulmns ...
	echo '
	</td>
  </tr>
</table>

<table cellspacing="1" cellpadding="4" width="70%" class="bordercolor" style="margin-top: 2px;">
  <tr>
    <td width="100%" class="windowbg2">
       <table cellspacing="0" cellpadding="0" width="100%">
          <tr>
					<td align="',$context['right_to_left'] ? 'right':'left','">';
	// Show a little "post event" button?
	if ($context['can_post'])
		echo '
						<a href="', $scripturl, '?action=post;calendar;month=', $context['current_month'], ';year=', $context['current_year'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/calendarpe.gif" alt="' . $txt['calendar23'] . '" border="0" />' : $txt['calendar23'], '</a>';
	echo '
					</td>
					<td align="',!$context['right_to_left'] ? 'right':'left','">
						<select name="month">';
	// Show a select box with all the months.
	foreach ($txt['months'] as $number => $month)
		echo '
							<option value="', $number, '"', $number == $context['current_month'] ? ' selected="selected"' : '', '>', $month, '</option>';
	echo '
						</select>&nbsp;
						<select name="year">';
	// Show a link for every year.....
	for ($year = $modSettings['cal_minyear']; $year <= $modSettings['cal_maxyear']; $year++)
		echo '
							<option value="', $year, '"', $year == $context['current_year'] ? ' selected="selected"' : '', '>', $year, '</option>';
	echo '
						</select>&nbsp;
						<input type="submit" value="', $txt[305], '" />
					</td>
          </tr>
       </table>

    </td>
  </tr>
</table>
		</form>';
}

?>